Bug 12275 - ctdb_recovery_helper crashes
ctdb_recovery_helper crashes
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.4.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-19 04:58 UTC by Amitay Isaacs
Modified: 2016-09-22 08:22 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-4 branch (988 bytes, patch)
2016-09-19 11:37 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-5 branch (988 bytes, patch)
2016-09-19 11:37 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2016-09-19 04:58:14 UTC
Reported by Steve French.

Core was generated by `/usr/libexec/ctdb/ctdb_recovery_helper 19 17
/var/run/ctdb/ctdbd.socket 6622376'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007fa12fe6737a in collect_all_db_pulldb_done(subreq=0x7fa1314139d0) at ../ctdb/server/ctdb_recovery_helper.c:1430
1430 state->ban_credits[pnn] += 1;
(gdb) bt
#0  0x00007fa12fe6737a in collect_all_db_pulldb_done(subreq=0x7fa1314139d0) at ../ctdb/server/ctdb_recovery_helper.c:1430
#1  0x00007fa12ed6d442 in _tevent_req_error(req=req@entry=0x7fa1314139d0, error=<optimized out>,location=location@entry=0x7fa12fe84b78 "../ctdb/server/ctdb_recovery_helper.c:645") at ../lib/tevent/tevent_req.c:167
#2  0x00007fa12fe6a16e in pull_database_new_done(subreq=0x7fa131411c10) at ../ctdb/server/ctdb_recovery_helper.c:645
#3  0x00007fa12ed70a7f in tevent_common_loop_timer_delay(ev=ev@entry=0x7fa1313df3b0) at ../lib/tevent/tevent_timed.c:341
#4  0x00007fa12ed71a8a in epoll_event_loop_once (ev=0x7fa1313df3b0,location=<optimized out>) at ../lib/tevent/tevent_epoll.c:911
#5  0x00007fa12ed70187 in std_event_loop_once (ev=0x7fa1313df3b0,location=0x7fa12ed72418 "../lib/tevent/tevent_req.c:256") at
../lib/tevent/tevent_standard.c:114
#6  0x00007fa12ed6c33d in _tevent_loop_once(ev=ev@entry=0x7fa1313df3b0, location=location@entry=0x7fa12ed72418 "../lib/tevent/tevent_req.c:256") at ../lib/tevent/tevent.c:533
#7  0x00007fa12ed6d60f in tevent_req_poll(req=req@entry=0x7fa1313ea1a0, ev=ev@entry=0x7fa1313df3b0) at ../lib/tevent/tevent_req.c:256
#8  0x00007fa12fe65015 in main (argc=<optimized out>, argv=<optimized
out>) at ../ctdb/server/ctdb_recovery_helper.c:2791
Comment 1 Amitay Isaacs 2016-09-19 11:37:17 UTC
Created attachment 12488 [details]
Patches for v4-4 branch
Comment 2 Amitay Isaacs 2016-09-19 11:37:35 UTC
Created attachment 12489 [details]
Patches for v4-5 branch
Comment 3 Martin Schwenke 2016-09-19 21:09:18 UTC
Hi Karolin,

This is ready for 4.5 and 4.4.

Thanks...
Comment 4 Karolin Seeger 2016-09-20 08:07:02 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-{4,5}-test.
Comment 5 Karolin Seeger 2016-09-22 08:22:57 UTC
Pushed to both branches.
Closing out bug report.

Thanks!